Api key provided on integrations tab in Easyflow platform.
Upload image payment link
Add an image to the payment link.
⚠️ Note: File upload may not work here due to documentation limitations. Try using Postman or curl to test it properly.
⚠️ Note: It will not be possible to update the image if there is a sale on the payment link
Headers
x-api-keystringrequiredx-api-secretstringrequiredApi Secret provided on integrations tab in Easyflow platform.
business-idstringrequiredBusiness Identifier
Path parameters
paymentLinkIdstringrequired
Request body
Content typemultipart/form-dataobject
picturestring · binaryrequiredImage file to upload. The file name must end in
.png,.jpgor.jpegand the file can have up to 5,000,000 bytes. Otherwise the API returns422.
Responses
200Returns the image that was saved
Returns the image that was saved
Content typeapplication/jsonobject
statusCodeintegerdataobjectShow child attributesHide child attributes
imageobjectShow child attributesHide child attributes
namestringpathstringurlstringisPublicbooleanextensionstring
400If the provided parameter is invalid, the API will return the following error response:
If the provided parameter is invalid, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid param: []
errorstringBad Request
statusCodeinteger400
errorCodestringCode that identifies the error. Present only on some errors.
401If the request is unauthorized, the API will return the following error response:
If the request is unauthorized, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid field
errorstringUnauthorized
statusCodeinteger401
403If the request is forbidden, the API will return the following error response:
If the request is forbidden, the API will return the following error response:
Content typeapplication/jsonobject
messagestringForbidden resource
errorstringForbidden
statusCodeinteger403
422If the request is valid but cannot be processed, the API will return the following error response:
If the request is valid but cannot be processed, the API will return the following error response:
Content typeapplication/jsonobject
statusCodeintegerrequiredHTTP status code.
messagestringrequiredExplanation of the error.
errorstringName of the HTTP status, such as
Bad RequestorConflict.errorCodestringCode that identifies the error. Present only on some errors.
500If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
Content typeapplication/jsonobject
statusCodeintegerHTTP status code.
messagestringExplanation of the error.